Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.component.html
Class HtmlGraphicImage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIGraphic
                  javax.faces.component.html.HtmlGraphicImage
                      org.jboss.seam.ui.graphicImage.UIGraphicImage
                          org.jboss.seam.ui.component.html.HtmlGraphicImage

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.2.Final"})
    public class HtmlGraphicImage

extends UIGraphicImage

Output an image to the view. You can specify the file as a path, a java.io.File, java.io.InputStream, java.net.URL or byte[]

Nested Class Summary
`protected static class` | `HtmlGraphicImage.Properties`

Nested classes/interfaces inherited from class javax.faces.component.html.HtmlGraphicImage
`javax.faces.component.html.HtmlGraphicImage.PropertyKeys`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.jboss.seam.ui.graphicImage.UIGraphicImage
`FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlGraphicImage()`

Method Summary
`javax.faces.convert.Converter` | `getConverter()`
`String` | `getFamily()`
`String` | `getFileName()`
`Object` | `getLocalValue()`
`String` | `getStyle()`
`Object` | `getValue()`
`void` | `setConverter(javax.faces.convert.Converter converter)`
`void` | `setFileName(String fileName)`
`void` | `setStyle(String style)`
`void` | `setValue(Object value)`

Methods inherited from class javax.faces.component.html.HtmlGraphicImage
`getAlt, getDefaultEventName, getDir, getEventNames, getHeight, getLang, getLongdesc, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyleClass, getTitle, getUsemap, getWidth, isIsmap, setAlt, setDir, setHeight, setIsmap, setLang, setLongdesc, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyleClass, setTitle, setUsemap, setWidth`

Methods inherited from class javax.faces.component.UIGraphic
`getUrl, getValueBinding, getValueExpression, setUrl, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlGraphicImage

    public HtmlGraphicImage()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIGraphic`

### getConverter

    public javax.faces.convert.Converter getConverter()

### setConverter

    public void setConverter(javax.faces.convert.Converter converter)

### getFileName

    public String getFileName()

  Specified by:
    `getFileName` in class `UIGraphicImage`

### setFileName

    public void setFileName(String fileName)

### getLocalValue

    public Object getLocalValue()

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `UIGraphicImage`

### setStyle

    public void setStyle(String style)

  Overrides:
    `setStyle` in class `javax.faces.component.html.HtmlGraphicImage`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in class `UIGraphicImage`

### setValue

    public void setValue(Object value)

  Overrides:
    `setValue` in class `javax.faces.component.UIGraphic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.